Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.worklist.api
Enum TaskAffinity

    java.lang.Object
      java.lang.Enum<TaskAffinity>
          com.bea.wli.worklist.api.TaskAffinity

All Implemented Interfaces:
  Serializable, Comparable<TaskAffinity>

    public enum TaskAffinity

extends Enum<TaskAffinity>

Describes the relationship between a task and a human actor.

Since:
  9.2

Enum Constant Summary
`Assignee`
`Associate`
`Claimant`
`Creator`
`Owner`

Method Summary
`static TaskAffinity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskAffinity[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Creator

    public static final TaskAffinity Creator

### Owner

    public static final TaskAffinity Owner

### Claimant

    public static final TaskAffinity Claimant

### Assignee

    public static final TaskAffinity Assignee

### Associate

    public static final TaskAffinity Associate

Method Detail

### values

    public static final TaskAffinity[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TaskAffinity c : TaskAffinity.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TaskAffinity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD